CREATE TABLE gl_ledger_relationships_ (
    RELATIONSHIP_ID                 NUMBER(18, 0) ,
    SOURCE_LEDGER_ID                NUMBER(18, 0) ,
    TARGET_LEDGER_ID                NUMBER(18, 0) ,
    SLA_LEDGER_ID                   NUMBER(18, 0) ,
    PRIMARY_LEDGER_ID               NUMBER(18, 0) ,
    TARGET_CURRENCY_CODE            VARCHAR2(60)  ,
    TARGET_LEDGER_NAME              VARCHAR2(120) ,
    TARGET_LEDGER_SHORT_NAME        VARCHAR2(80)  ,
    TARGET_LEDGER_CATEGORY_CODE     VARCHAR2(120) ,
    RELATIONSHIP_TYPE_CODE          VARCHAR2(120) ,
    RELATIONSHIP_ENABLED_FLAG       VARCHAR2(4)   ,
    INHERIT_CREATION_USER_FLAG      VARCHAR2(4)   ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    GL_JE_CONVERSION_SET_ID         NUMBER(18, 0) ,
    SL_COA_MAPPING_ID               NUMBER(18, 0) ,
    AUTOMATIC_POST_FLAG             VARCHAR2(4)   ,
    ALC_DEFAULT_CONV_RATE_TYPE      VARCHAR2(120) ,
    ALC_NO_RATE_ACTION_CODE         VARCHAR2(120) ,
    ALC_MAX_DAYS_ROLL_RATE          NUMBER        ,
    ALC_INHERIT_CONVERSION_TYPE     VARCHAR2(4)   ,
    ALC_INIT_CONV_OPTION_CODE       VARCHAR2(120) ,
    ALC_INIT_PERIOD                 VARCHAR2(60)  ,
    ALC_INIT_DATE                   DATE          ,
    ALC_INITIALIZING_RATE_DATE      DATE          ,
    ALC_INITIALIZING_RATE_TYPE      VARCHAR2(120) ,
    ALC_PERIOD_AVERAGE_RATE_TYPE    VARCHAR2(120) ,
    ALC_PERIOD_END_RATE_TYPE        VARCHAR2(120) ,
    APPLICATION_ID                  NUMBER(18, 0) ,
    ORG_ID                          NUMBER(18, 0) ,
    DISABLE_CONVERSION_DATE         DATE          ,
    STATUS_CODE                     VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)  ,
    REV_EXP_XLATION_RULE_CODE       VARCHAR2(36)  ,
    OE_XLATION_RULE_CODE            VARCHAR2(36)  ,
    BSV_REPLICATION_FLAG            VARCHAR2(4)   ,
    BSV_REPLICATION_ENABLED_DATE    DATE          ,
    SOURCE_TREE_CODE                VARCHAR2(120) ,
    SOURCE_TREE_VERSION_ID          VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    AUDIT_ACTION_TYPE_              VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_           VARCHAR2(4000),
    AUDIT_IMPERSONATOR_             VARCHAR2(256) ,
    RELATIONSHIP_ID                 NUMBER(18, 0) ,
    SOURCE_LEDGER_ID                NUMBER(18, 0) ,
    TARGET_LEDGER_ID                NUMBER(18, 0) ,
    SLA_LEDGER_ID                   NUMBER(18, 0) ,
    PRIMARY_LEDGER_ID               NUMBER(18, 0) ,
    TARGET_CURRENCY_CODE            VARCHAR2(60)  ,
    TARGET_LEDGER_NAME              VARCHAR2(120) ,
    TARGET_LEDGER_SHORT_NAME        VARCHAR2(80)  ,
    TARGET_LEDGER_CATEGORY_CODE     VARCHAR2(120) ,
    RELATIONSHIP_TYPE_CODE          VARCHAR2(120) ,
    RELATIONSHIP_ENABLED_FLAG       VARCHAR2(4)   ,
    INHERIT_CREATION_USER_FLAG      VARCHAR2(4)   ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    GL_JE_CONVERSION_SET_ID         NUMBER(18, 0) ,
    SL_COA_MAPPING_ID               NUMBER(18, 0) ,
    AUTOMATIC_POST_FLAG             VARCHAR2(4)   ,
    ALC_DEFAULT_CONV_RATE_TYPE      VARCHAR2(120) ,
    ALC_NO_RATE_ACTION_CODE         VARCHAR2(120) ,
    ALC_MAX_DAYS_ROLL_RATE          NUMBER        ,
    ALC_INHERIT_CONVERSION_TYPE     VARCHAR2(4)   ,
    ALC_INIT_CONV_OPTION_CODE       VARCHAR2(120) ,
    ALC_INIT_PERIOD                 VARCHAR2(60)  ,
    ALC_INIT_DATE                   DATE          ,
    ALC_INITIALIZING_RATE_DATE      DATE          ,
    ALC_INITIALIZING_RATE_TYPE      VARCHAR2(120) ,
    ALC_PERIOD_AVERAGE_RATE_TYPE    VARCHAR2(120) ,
    ALC_PERIOD_END_RATE_TYPE        VARCHAR2(120) ,
    APPLICATION_ID                  NUMBER(18, 0) ,
    ORG_ID                          NUMBER(18, 0) ,
    DISABLE_CONVERSION_DATE         DATE          ,
    STATUS_CODE                     VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)  ,
    REV_EXP_XLATION_RULE_CODE       VARCHAR2(36)  ,
    OE_XLATION_RULE_CODE            VARCHAR2(36)  ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    AUDIT_ACTION_TYPE_              VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_           VARCHAR2(4000),
    AUDIT_IMPERSONATOR_             VARCHAR2(256) ,
    BSV_REPLICATION_FLAG            VARCHAR2(4)   ,
    BSV_REPLICATION_ENABLED_DATE    DATE          ,
    SOURCE_TREE_CODE                VARCHAR2(120) ,
    SOURCE_TREE_VERSION_ID          VARCHAR2(128) ,
    CONSTRAINT pk_gl_ledger_relationships_ PRIMARY KEY (RELATIONSHIP_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, RELATIONSHIP_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
